Skip to main content

Get Platform Session Info

GET 

/session/v1/platform/:platform/platform-session/:platform_session_id_base64

Get information about a platform session

Required Permissions:

  • For any player (including themselves) any of: session:*, session:read:platform

Required Session Permissions: SessionPermissions.active_in_session for users that do not have the session:read:any auth permission

Request

Path Parameters

    platform Platformrequired

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    platform_session_id_base64 Platform Session Id Base64required

    Possible values: non-empty and <= 4096 characters

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be returned - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    platform_session_type Platform Session Type (string)required

    Possible values: non-empty and <= 128 characters

    Platform-Specific Identifier for the Platform's template

    platform_session_id_base64 Platform Session Id Base64 (string)required

    Possible values: non-empty and <= 4096 characters

    Platform session's unique identifier

    players

    object[]

    required

    DEPRECATED. PlatformSessions no longer keep tracking of players. Players in the platform session

  • Array [

  • player_id Player Id (integer)

    Player ID representing the current player

    player_uuid uuidrequired

    Player UUID representing the current player

    leader Leader (boolean)

    Is this player the leader of the platform session? When setting up the parent session, if all players are from the same platform session, leadership is coordinated

  • ]

  • custom_data

    object

    Product defined custom data fields about the platform session

    property name* string
Loading...